SalesOS.

Email Inbox

Email inbox sync and management

Get email folders with unread counts

GET
/v1/email-inbox/folders

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/email-inbox/folders" \
  -H "Authorization: Bearer <token>"

List email threads with filtering and pagination

GET
/v1/email-inbox/threads

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/email-inbox/threads" \
  -H "Authorization: Bearer <token>"

Get thread with all messages

GET
/v1/email-inbox/threads/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/email-inbox/threads/<string>" \
  -H "Authorization: Bearer <token>"

Send or schedule an email

POST
/v1/email-inbox/send

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/email-inbox/send" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Save or update a draft email

POST
/v1/email-inbox/drafts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/email-inbox/drafts" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Mark thread as read/unread

PATCH
/v1/email-inbox/threads/{id}/read

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/email-inbox/threads/<string>/read" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Toggle star on a thread

PATCH
/v1/email-inbox/threads/{id}/star

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/email-inbox/threads/<string>/star" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Archive a thread

POST
/v1/email-inbox/threads/{id}/archive

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/email-inbox/threads/<string>/archive" \
  -H "Authorization: Bearer <token>"

Bulk action on threads

POST
/v1/email-inbox/threads/bulk

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/email-inbox/threads/bulk" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'
POST
/v1/email-inbox/threads/{id}/crm-links

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/email-inbox/threads/<string>/crm-links" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'
DELETE
/v1/email-inbox/threads/{id}/crm-links/{entityType}/{entityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
entityTypeRequiredstring
entityIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/email-inbox/threads/<string>/crm-links/<string>/<string>" \
  -H "Authorization: Bearer <token>"

Get inbox statistics

GET
/v1/email-inbox/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/email-inbox/stats" \
  -H "Authorization: Bearer <token>"
GET
/v1/email-inbox/search

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/email-inbox/search" \
  -H "Authorization: Bearer <token>"

Batch mark threads as read/unread

PATCH
/v1/email-inbox/threads/read

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PATCH "https://api.salesos.org/v1/email-inbox/threads/read" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Batch toggle star on threads

PATCH
/v1/email-inbox/threads/star

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PATCH "https://api.salesos.org/v1/email-inbox/threads/star" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Batch archive threads

PATCH
/v1/email-inbox/threads/archive

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PATCH "https://api.salesos.org/v1/email-inbox/threads/archive" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Move threads to folder

PATCH
/v1/email-inbox/threads/move

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PATCH "https://api.salesos.org/v1/email-inbox/threads/move" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Soft-delete threads

POST
/v1/email-inbox/threads/delete

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/email-inbox/threads/delete" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Get scheduled emails

GET
/v1/email-inbox/scheduled

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/email-inbox/scheduled" \
  -H "Authorization: Bearer <token>"

Cancel a scheduled email

DELETE
/v1/email-inbox/scheduled/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/email-inbox/scheduled/<string>" \
  -H "Authorization: Bearer <token>"

Set follow-up reminder

POST
/v1/email-inbox/threads/{id}/follow-up

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/email-inbox/threads/<string>/follow-up" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Remove follow-up reminder

DELETE
/v1/email-inbox/threads/{id}/follow-up

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/email-inbox/threads/<string>/follow-up" \
  -H "Authorization: Bearer <token>"